Subject: bug#24891: 25.1: Falsehood on page "Major Modes" of Emacs manual.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 6 Nov 2016 22:18:32 +0000

Hello, Emacs.

In the Emacs manual, page "Major Modes" appears the following:

    all programming language modes run `prog-mode-hook', prior to
    running their own mode hooks.

This is not true.  A counter example is stand alone CC Mode.  There will
be other examples, too, in code not maintained by Emacs.  I suggest
amending this sentence to something like:

    many programming language modes (including all these distributed
    with Emacs) run `prog-mode-hook', prior to runnuing their own mode
    hooks.

-- 
Alan Mackenzie (Nuremberg, Germany).